// Optical Simulation ROOT output Analysis cc file
// First Created: 2016.10.23. Han-Gyu Kang(hangyookang@gmail.com)
// Bioluminscence: optical photon -> Pinhole -> Lens -> CCD camera
// Last Modified: 2016.10.23. Han Gyu Kang
// Last Modified: 2017.11.23. Han Gyu Kang
// Last Modified: 2018.03.11. Han Gyu Kang. Eulji Univ.BLI
// ana_Optical_BLI.cc


void ana_Optical_BLI()
{

// (Hits) ROOT (time [sec])
  TCanvas  *c0 = new TCanvas("c0","Hits (time)",400,0,400,400);
  Hits->Draw("time");

// (Hits) ROOT (edep [MeV])
  TCanvas  *c1 = new TCanvas("c1","Hits (edep)",0,0,400,400);
  Hits->Draw("edep");
 
// (Hits) ROOT (posY:posX)
  TCanvas  *c4 = new TCanvas("c4","Hits (PosXY)",0,450,400,400);
  Hits->Draw("posY:posX");

// 1D (Hit.posX)(Line profile)
TCanvas  *c7 = new TCanvas("c7","1D,Hits (PosX)",800,450,400,400);
TH1F *posX1D  = new TH1F("posX1D","",100,-10,10);
Hits->Project("posX1D","posX");
c7->cd();
posX1D->Draw();
posX1D->Fit("gaus","","",-0.5,0.5);
gStyle->SetOptFit(1111);



// 2D (Hit.posX, posY)
 TCanvas  *c8 = new TCanvas("c8","2D,Hits (PosXY)",400,450,400,400);
 TH2F *posXY2D  = new TH2F("posXY2D","",100,-5,5,100,-5,5);
 Hits->Project("posXY2D","posY:posX");
 c8->cd();
 posXY2D->Draw("contZ");
 c8->SetFillColor(0);//0:white, 1:black
 c8->SetBorderMode(0);//


}
